Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02684 Sound Minor Always Nov 27, 2008, 04:42 Aug 30, 2020, 08:57
Tester MAMEBase View Status Public Platform SDLMAME
Assigned To Resolution Bugs That Aren't Bugs OS MacOS X
Status [?] Resolved Driver segag80v.cpp
Version 0.128u4 Fixed in Version Build
Summary 02684: spacfury: Sound plays too fast
Description The sample playback rate in Space Fury (revision C) is faster than in revision a or b (which I believe to be correct)

The enemy voice at the beginning, during play, and at the end sounds sped up, almost like a 33 1/3 recording being played at 45 (not quite that bad, but you get the idea).
Steps To Reproduce Play the game
Additional Information
Flags
Regression Version
Affected Sets / Systems spacfury
Attached Files
 
Relationships
duplicate of 00834Resolved spacfurya, spacfuryb, spacfury, zektor: Speech in some sets is too fast and high pitched. 
Notes
4
User avatar
No.03141
Tafoid
Administrator
Nov 27, 2008, 13:08
This is a duplicate of an old bug report. I remember there being some discussion about this on MAMEWORLD forums a while back but it's since been scrolled off (over a year).

I'm not entirely sure why 00834 shows in a resolved state either - this issue has been around as long as I can remember and was even worse pre-0.105.
User avatar
No.03143
MAMEBase
Tester
Nov 27, 2008, 16:21
Indeed, I thought it odd that this bug was still around (I did see the old report, BTW), and odder still that only the parent set seems to be affected.

But at least now it's documented, and confirmed.
User avatar
No.13938
Fujix
Administrator
Jun 23, 2017, 09:08
User avatar
No.17922
aaron
Developer
Aug 30, 2020, 08:57
This is a BTINAB. There are two known ROMsets for speech. The Rev C (newest) set has the speech data re-coded to work with the program ROMs from newer games (Star Trek, Zektor) and runs at the faster rate. The other two sets (Rev A and B) use a different set of speech ROMs that matches the recordings around the web. If you want to have the speech at the slower rate, you'll have to run spacfurya or spacfuryb sets.